using MauiAppStock.Models;
using MauiAppStock.Data;

namespace MauiAppStock.Views
{
    public partial class EditFournisseurPage : ContentPage
    {
        private Fournisseur _fournisseur;
        public EditFournisseurPage(Fournisseur fournisseur)
        {
            InitializeComponent();
            _fournisseur = fournisseur;
            NomEntry.Text = fournisseur.Nom;
            NumEntry.Text = fournisseur.Numtel;
        }

        private async void OnSaveClicked(object sender, EventArgs e)
        {
            _fournisseur.Nom = NomEntry.Text;
            _fournisseur.Numtel = NumEntry.Text;
            await Database.UpdateFournisseursync(_fournisseur);
            await Navigation.PopAsync();
        }

        private async void OnDeleteClicked(object sender, EventArgs e)
        {
            bool confirm = await DisplayAlert("Confirmation", "Voulez-vous vraiment supprimer ce fournisseur ?", "Oui", "Non");
            if (confirm)
            {
                await Database.DeleteFournisseurAsync(_fournisseur);
                await Navigation.PopAsync();
            }
        }
    }
}